# Note that this is NOT a relocatable package
# WTF is that supposed to mean?
%define ver     0.7.8
%define rel     1
%define prefix  /usr

Summary:   Local->Remote website synchronizer.
Name:      sitecopy
Version:   %ver
Release:   %rel
Copyright: GPL
Group:     Applications/Networking
Source0:   http://www.lyra.org/sitecopy/sitecopy-%{PACKAGE_VERSION}.tar.gz
URL:       http://www.lyra.org/sitecopy
BuildRoot: /tmp/sitecopy-root

%description
sitecopy is for copying locally stored websites to remote web servers.
The program will upload files to the server which have changed
locally, and delete files from the server which have been removed
locally, to keep the remote site synchronized with the local site,
with a single command.  The aim is to remove the hassle of uploading
and deleting individual files using an FTP client.

%package -n xsitecopy
Summary:  Sitecopy website synchronization utility (GNOME version).
Group:    X11/Applications/Networking
%description -n xsitecopy
XSitecopy is the gnome version of sitecopy. Currently it does not support
"fetch mode" or "resynch", but it does have the advantage of providing full
configuration editing facilities.

%prep
%setup

%build
# vanilla sitecopy.
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure \
	--prefix=%{prefix} \
	--disable-debugging
make

# xsitecopy.
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure \
	--prefix=%{prefix} \
	--enable-gnomefe \
	--disable-debugging
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install
touch sitecopy
make TARGET=sitecopy prefix=$RPM_BUILD_ROOT%prefix install-sitecopy

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ABOUT-NLS COPYING ChangeLog THANKS TODO
%{prefix}/bin/sitecopy
# rpm does docs better than the install script
%doc $RPM_BUILD_ROOT%{prefix}/doc/sitecopy/*
%{prefix}/man/man1/sitecopy.1
%{prefix}/share/sitecopy

%files -n xsitecopy
%defattr(-, root, root)
%doc README.gnome
%{prefix}/bin/xsitecopy
%{prefix}/share/gnome/apps/Internet/xsitecopy.desktop
%{prefix}/share/gnome/help/xsitecopy

%changelog
* Sun Aug 8 1999 Tim Ricketts <tr@oxlug.org>
  [0.7.8-1]

* Wed Jul 21 1999 Tim Ricketts <tr@oxlug.org>
- fixed a bug causing my jpegs to be uploaded without CRs.

* Sat Jul 17 1999 Tim Ricketts <tr@oxlug.org>
- tidied up a little IMHO.

* Fri May 28 1999 Dobrica Pavlinusic <dpavlin@foi.hr>
- integrated into GNU configure to automaticly pick up version number

* Sat Apr 3 1999 Lee Mallabone <lee0@callnetuk.com>
- After a few tweaks, it now actually works. :)

* Thu Apr 1 1999 Lee Mallabone <lee0@callnetuk.com>
- first attempt.
